Шаблон news.table.tpl 
---------------------

Шаблон отвечает за генерацию табличной части вывода новостей для следующих задач:

главная страница - вывод новостей на главной странице
лента новостей - вывод всех опубликованных новостей (вне зависимости от флага "отображать на главной")
страница категории - страница конкретной категории новостей
Вывод по дате - вывод новостей за определённую дату (плагин календарь)
вывод по месяцу - вывод новостей за определённый месяц (плагин архив)
вывод новостей по году - вывод новостей за определённый год (плагин архив


Начиная с версии [SVN1101] полностью меняется набор переменных и правила использования шаблона.
Также шаблон становится условно-обязательным. Теперь при его отсутствии будет считаться, что он содержит следующий код:


<pre >
{% for entry in data %}
{{ entry }}
{% else %}
engineMSG('common', lang['msgi_no_news'])
{% endfor %} {{ pagination }}
</pre>

Такой код полностью повторяет текущее (до SVN1101) поведение системы.

Доступные переменные
--------------------

handler - текущий режим работы, может принимать значения:
main - вывод на главной странице
all - вывод всех опубликованных новостей
by.category - вывод новостей из категории
by.day - вывод новостей по дате
by.month - вывод новостей по месяцу
by.year - вывод новостей по году
count - кол-во найденных новостей
data - массив с выведенными (обычно через шаблон news.short.tpl) новостей
pages - массив с информацией о постраничной навигации в новостях
current - номер текущей страницы (первая страница: 1)
total - общее кол-во страниц



В режиме by.category доступны следующие переменные:

category

id - ID категории
alt - альт. имя категории
name - имя категории
info - информация о категории

icon - массив с информацией об иконке категории

url - URL иконки
isExtended - true если иконка была "приложена" к категории, false если указан только URL иконки. Информация ниже доступна только при значении isExtended -- true
width - ширина иконки
height - высота иконки
hasPreview - true если у иконки есть уменьшенная копия (превью)
purl- URL превью категории
pwidth - ширина превью
pheight - высота превью


url - URL категории
text - HTML представление ссылки на категорию



В режиме by.date доступны следующие переменные:

year - год
month - месяц
day - день
dateStamp - дата в формате UnixTime для использования в фильтре |date

В режиме by.month доступны следующие переменные:

year - год
month - месяц
dateStamp - дата (день - 1) в формате UnixTime для использования в фильтре |date

В режиме by.year доступны следующие переменные:

year - год
dateStamp - дата (день - 1, месяц - 1) в формате UnixTime для использования в фильтре |date


Пример заполнения шаблона
-------------------------

В примере показан минимально набор для полнофункциональной работы (с учётом использования плагина comments):

<pre >
{% if (handler -- 'by.category') %}
&lt;h3>{{ category.name }}&lt;/h3>
{% if category.icon.purl %}&lt;img src-"{{ category.icon.purl }}"/>&lt;br/>{% endif %}
{{ category.info }}
{% endif %}
{% for entry in data %}
{{ entry }}
{% endfor %}
{{ pagination }}
</pre>
