Шаблон registration.tpl 
-----------------------

Шаблон используется для генерации регистрационной формы.

Доступные переменные
--------------------


form_action - URL формы-обработчика

flags - флаги

hasCaptcha - флаг: включена поддержка защитного кода безопасности (настройки -> настройки системы -> безопасность -> код безопасности)


entries - Список переменных, выводимых в форме регистрации.

id - ID переменной (значение "id" для поля ввода).
name - ID переменной (значение "name" для поля ввода).
title - Название переменной.
descr - Описание переменной.
input - Поле ввода для переменной.
type - Тип переменной (input, select, manual).
html_flags - HTML флаги для генерации поля ввода.
value - Значение (в случае если оно заполнено, к примеру, при повторном заполнении формы из-за ошибки в капче).
values - Массив вида 'ключ' -> 'значение' для переменных типа 'select', определяет доступный набор полей выбора.



Шаблон должен содержать форму (тег &lt;form>, метод запроса - POST), которая позволит вводить данные, необходимые для регистрации.
В форму должны передаваться следующие переменные:

type (тип: hidden) - должна содержать значение "doregister".

vcode (тип: text) - в это поле пользователь будет вводить значение защитного кода безопасности.URL защитного кода безопасности: {{ admin_url }}/captcha.php:
<pre >&lt;img src-"{{ admin_url }}/captcha.php" /></pre>
* переменная vcode должна использоваться только при установленном флаге flags.hasCaptcha.



Пример заполнения шаблона
-------------------------

В примере показан минимально набор для полнофункциональной работы:

<pre >
&lt;form name-"registration" action-"{{ form_action }}" method-"post">
&lt;input type-"hidden" name-"type" value-"doregister" />

{% for entry in entries %}
{{ entry.title }} ({{ entry.descr }}): {{ entry.input }}
{% endfor %}

{% if flags.hasCaptcha %}&lt;img src-"{{ admin_url }}/captcha.php"> &lt;input type-"text" name-"vcode" />{% endif %}

&lt;input type-"submit" class-"button" value-"{l_register}" />
&lt;/form>
</pre>


* <small> - что такое переменная {{ admin_url }} и как ей пользоваться можно узнать в описании <a href="templates.html">шаблонной системы</a>.</small>


Совместимость со старым шаблонизатором
--------------------------------------

Для обеспечения совместимости со старыми шаблонами добавлена поддержка старого синтаксиса.
Выполняются следующие преобразования/замены:

[captcha] ... [/captcha] - содержимое блока отображается если включена поддержка защитного кода безопасности (настройки -> настройки системы -> безопасность -> код безопасности)
{form_action} - URL формы-обработчика
{entries} - использование данной "переменной" вызывает подключение старой версии шаблона registration.entries.tpl
{title} - переменная title строки
{descr} - переменная descr строки
{input} - переменная input строки

Доступные языковые переменные:

{l_registration} - заголовок блока "Регистрация"
{l_register} - текст "зарегистрироваться" (для submit кнопки формы)


Пример заполнения шаблона (устаревший формат)
---------------------------------------------

В примере показан минимально набор для полнофункциональной работы:

<pre >
&lt;form name-"registration" action-"{form_action}" method-"post">
&lt;input type-"hidden" name-"type" value-"doregister" />

{entries}

[captcha]&lt;img src-"{admin_url}/captcha.php"> &lt;input type-"text" name-"vcode" />[/captcha]

&lt;input type-"submit" class-"button" value-"{l_register}" />
&lt;/form>
</pre>


* <small> - что такое переменная {admin_url} и как ей пользоваться можно узнать в описании <a href-"templates.html">шаблонной системы</a>.</small>
