## Шаблон `static/default.tpl`

Шаблон отвечает за вывод статической страницы (статьи).

Указываемый здесь шаблон – шаблон по умолчанию для отображения статических страниц.

Если для каких-то страниц вы хотите создать собственный шаблон, то достаточно создать любой файл с расширением `.tpl` в каталоге `static/` и сразу после создания вы сможете выбрать этот файл в качестве шаблона при создании / редактировании статической страницы.

## Доступные блоки / переменные

### Блоки:

- `flags` – блок переменных-флагов:
    - `canEdit` – содержимое блока отображается в случае, если у вас есть права на редактирование текущей статической страницы.

### Переменные:

- `{{ title }}` – заголовок статической страницы;
- `{{ content }}` – содержимое статической страницы;
- `{{ postdate }}` – дата публикации статической страницы;
- `{{ edit_static_url }}` – ссылка на страницу редактирования для текущей статической страницы;
- `{{ print_static_url }}` – ссылка на страницу печати для текущей статической страницы.

### Доступные языковые переменные:

`{{ lang['editstatic'] }}` – текст «редактировать»;
`{{ lang['delstatic'] }}` – текст «удалить»;
`{{ lang['sure_del'] }}` – текст «Вы уверены, что хотите удалить эту статическую страницу?»;
`{{ lang['printstatic'] }}` – текст «распечатать».

## Пример заполнения шаблона

В примере показан минимально набор для полнофункциональной работы:

```html
<h2>{{ title }}</h2>

{{ content }}

<div>
    {% if (flags.canEdit) %}
        <a href="{{ edit_static_url }}">{{ lang['editstatic'] }}</a>
    {% endif %}

    <a href="{{ print_static_url }}">{{ lang['printstatic'] }}</a>
</div>
```
