Файл-описание шаблона `version`
------------------------------

Каждый шаблон обязан содержать собственный файл-содержание. С его помощью ядро CMS определяет параметры шаблона (его автора, дату выпуска, уникальный идентификатор), а также картинку-предпросмотра.

Структура файла-описания
------------------------

Все строки, начиинающиеся с символа ; (точка с запятой) или пустые строки (состоящие только из пробелов) считаются комментариями.
Файл-описание содержит набор обязательных и необязательных переменных, которые используются ядром CMS при работе.
Формат записи строки переменной:
<pre >variable_name: variable_value</pre>
где:

variable_name - наименование переменой
variable_value - значение переменой

Регистр записи переменной не важен, но для удобства восприятия лучше использовать вариант написания, указанный в этом документе.

Переменные файла-описания
-------------------------

Вы можете использовать следующие переменные:

Обязательная - Наименование - Описание - Комментарий

+ ID - Уникальный идентификатор шаблона - UID может содержать только латинские символы и символы подчёркивания и тире. Обычно UID и наименование каталога, в котором находится шаблон, совпадают.

+ Title - Наименование шаблона


+Version - Версия шаблона - Отображается в спике шаблонов, также используется для механизма определения последней версии.Должна записываться в формате [число.число] либо [число], например: 0.26 либо 15


+Author - Имя автора, отображается в списке плагина


+Author_URI - Ссылка на сайт автора


+Plugins - Шаблоны для плагинов - В этой переменной указывается список плагинов для которых созданы шаблоны


+ImagePreview - Мини preview для шаблона - Вы можете добавить мини-preview для вашего шаблона, в данном поле указывается путь к мини-preview внутри каталогов шаблона, ожидаемый размер 256x192 (не должен превышаться), тип - PNG

+Image - Полноценный preview для шаблона - Вы можете добавить preview для вашего шаблона, размер не более 512x384, тип - PNG


Пример файла-описания (для плагина comments)
--------------------------------------------


<pre >
;
; Version file for template
;

; UNIQ template ID
ID: default
; Version number
Version: 01
; Release date
RelDate: 2013-11-28
; List of built in templates for plugins
; Author name
Author: ngcms
; Author site page
Author_URI: http://ngcms.ru/
Plugins: archive, calendar, favorites, popular
; Size: 256 x 192, format: PNG
ImagePreview: images/tpl_preview.png
; Size: 512 x 384, format: PNG
Image: images/tpl_image.png

</pre>
